VARKON Version 1.15 1997-10-24

> ## adim - Geometric procedure

> Creates an angular dimension
> Description
> Creates an angular dimension with or without text.
> Syntax
> adim(id, ref1, ref2, p, alt:attributes);

> REF | id;
> REF | ref1;
> REF | ref2;
> VECTOR | p;
> INT | alt;

> Principal parameters

> id | - Local identity
> ref1 | - Identity of first line
> ref2 | - Identity of second line
> p | - Text position
> alt | - Start on right side of ref1(1), start on left side of ref1(-1)

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> DTSIZ | - Textsize
> DASIZ | - Arrowsize
> DNDIG | - Number of decimal places
> DAUTO | - Automatic text(1) or no text(0)

> Example
> adim(#10,#5,#6,vec(10,10),1);
> An angular dimension less than 180 degrees starting on the right side of ref1 turning anticlockwise to ref2.
> Comments
> adim can only be used in a 2D module. adim measures the angle in anticlockwise direction starting from the first line turning to the second line. With alt = 1 or -1 the angle chosen is always less then 180 degrees. If the larger angle is wanted set alt to 2 or -2 instead.

VARKON Homepage | Index